Attribute VB_Name = "syslanguagemodul"
'MXGuard, a program to receive IP Notify messages of MOBOTIX M1 cameras
'Copyright (C) 2002, 2003  MOBOTIX AG (www.mobotix.com)
'
'This program is free software; you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation; either version 2 of the License, or
'(at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
'USA

Option Explicit

Private Declare Function GetSystemDefaultLCID Lib "kernel32" () As Long


Function languageTableOffset() As Long
  Select Case GetSystemDefaultLCID
  'Deutschsprachig
  Case 1031, 3079, 5127, 4103
    languageTableOffset = 1000
  'US-Englisch
  Case 1033
    languageTableOffset = 2000
  'GB-Englisch
  Case 2057, 3081, 10249, 4105, 9225, 6163, 8201, 5129, 13321, 7177, 11273, 12297
    languageTableOffset = 3000
  Case Else
    languageTableOffset = 2000
  End Select
End Function
